Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Get issue attachment

GET/workspaces/{organizationId}/issues/{issueId}/attachments/{id}
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
issueIdstringrequired
idstringrequired
Responses
200

Attachment

idstringrequired
organizationIdstringrequired
issueIdstringrequired
linearIdstringrequired
urlstringrequired
titlestring | nullrequired
subtitlestring | nullrequired
r2Keystring | nullrequired
createdAtstringrequired
404

Attachment not found

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/issues/string/attachments/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "id": "string",
  "organizationId": "string",
  "issueId": "string",
  "linearId": "string",
  "url": "string",
  "title": "string",
  "subtitle": "string",
  "r2Key": "string",
  "createdAt": "string"
}

Was this page helpful?